%global pypi_name Events
%global _description\
Bringing the elegance of C EventHandler to Python The C language provides a\
handy way to declare, subscribe to and fire events. Technically, an event is a\
"slot" where callback functions (event handlers) can be attached to a process\
referred to as subscribing to an event. Here is a handy package that\
encapsulates the core to event subscription and event firing and feels like a\
"natural" ...

Name:           python-events
Version:        0.2.1
Release:        1%{?dist}
Summary:        Bringing the elegance of C# EventHanlder to Python

License:        BSD

URL:            http://github.com/nicolaiarocci/events
Source0:        https://files.pythonhosted.org/packages/source/E/%{pypi_name}/%{pypi_name}-%{version}.tar.gz
BuildArch:      noarch
 
BuildRequires:  python2-setuptools
BuildRequires:  python2-devel
 
BuildRequires:  python3-setuptools
BuildRequires:  python3-devel

%description    %_description

%package -n     python2-events
Summary:        %{summary}
%{?python_provide:%python_provide python2-events}

%description -n python2-events %_description

%package -n     python3-events
Summary:        %{summary}
%{?python_provide:%python_provide python3-events}

%description -n python3-events %_description

%prep
%autosetup -n %{pypi_name}-%{version}

%build
%py2_build
%py3_build

%install
%py3_install
%py2_install


%check
%{__python2} setup.py test
%{__python3} setup.py test

%files -n python2-events
%license LICENSE
%doc README.rst
%{python2_sitelib}/events
%{python2_sitelib}/%{pypi_name}-%{version}-py*egg-info

%files -n python3-events
%license LICENSE
%doc README.rst
%{python3_sitelib}/events
%{python3_sitelib}/%{pypi_name}-%{version}-py*egg-info

%changelog
* Sun Oct 08 2017 David Hannequin <david.hannequin@gmail.com> - 0.2.1-1
- Initial package.
